Subject: Re: [net-next v2 3/3] cfg80211: add MPLS and 802.21 classification

From: Simon Wunderlich <[email-masked]>
Date: Mon, 17 Feb 2014 18:57:25 +0100

> On 02/17/14 17:56, Simon Wunderlich wrote:
> > MPLS labels may contain traffic control information, which should be
> > evaluated and used by the wireless subsystem if present.
> > 
> > Also check for IEEE 802.21 which is always network control traffic.
> > 
> > Signed-off-by: Simon Wunderlich<[email-masked]>
> > Signed-off-by: Mathias Kretschmer<[email-masked]>
> > ---
> > 
> > Changes to first version:
> >   * include linux/mpls.h, not the UAPI one
> >   * change __constant_htons to htons
> > 
> > ---
> > 
> >   net/wireless/util.c |   24 ++++++++++++++++++++++++
> >   1 file changed, 24 insertions(+)
> > 
> > diff --git a/net/wireless/util.c b/net/wireless/util.c
> > index d39c371..54956eb 100644
> > --- a/net/wireless/util.c
> > +++ b/net/wireless/util.c
> > @@ -11,6 +11,7 @@
> > 
> >   #include<net/ip.h>
> >   #include<net/dsfield.h>
> >   #include<linux/if_vlan.h>
> > 
> > +#include<linux/mpls.h>
> > 
> >   #include "core.h"
> >   #include "rdev-ops.h"
> > 
> > @@ -710,6 +711,29 @@ unsigned int cfg80211_classify8021d(struct sk_buff
> > *skb,
> 
> So does the name still covers what it is doing now or should we just
> callit cfg80211_classify_skb()?

I'm not completely sure why this function is called 8021d anyway (isn't 802.1D 
the Spanning Tree definition?). The actual QoS definitions are appearently in 
802.1p. But I don't know both standards, so I'm just speculating. :) We can 
rename the function, but that would require more changes in drivers and 
mac80211.

Anyway, I can resend the patch along with a rename, but would prefer to get 
the first two proposed patches merged first if there are no further objections.

Cheers,
    Simon